Bug 1319043 - Include F24 Alpha backgrounds in next RC
Summary: Include F24 Alpha backgrounds in next RC
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: f24-backgrounds
Version: 24
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On: 1319770
Blocks: F24AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2016-03-18 14:13 UTC by Paul W. Frields
Modified: 2016-03-23 19:59 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-23 16:21:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1320666 None None None Never

Internal Trackers: 1320666

Description Paul W. Frields 2016-03-18 14:13:49 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2016-9506354e5b

Freeze exception request for this package to be included in next RC. That way we aren't lying about the new backgrounds, e.g. https://fedoramagazine.org/fedora-24-default-wallpaper-preview-alpha/

I'll advise the Design team about the need for a freeze exception if they file a package late like this one.  I think they may not have understood the process.

Comment 1 Paul W. Frields 2016-03-18 14:15:47 UTC
In fact, I'm hope I understand the process. ;-) I'm marking this MODIFIED because we have a build for the backgrounds, it just needs to be included.

Comment 2 Dennis Gilmore 2016-03-18 14:18:02 UTC
+1 FE

Comment 3 Stephen Gallagher 2016-03-18 14:19:41 UTC
+1 FE

Comment 4 Adam Williamson 2016-03-18 14:44:10 UTC
Luya: could you please edit the update and mark it as fixing this bug?

+1 FE, marking accepted. This is in fact technically a blocker, I think, as sgallagh pointed out:

"The default desktop background must be different from that of the last two stable releases."

so nominating for that.

Comment 5 Fedora Update System 2016-03-19 00:25:36 UTC
f24-backgrounds-24.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9506354e5b

Comment 6 Luya Tshimbalanga 2016-03-19 00:26:14 UTC
(In reply to Adam Williamson from comment #4)
> Luya: could you please edit the update and mark it as fixing this bug?

Done.

Comment 7 Luya Tshimbalanga 2016-03-19 00:29:53 UTC
(In reply to Adam Williamson from comment #4)
> Luya: could you please edit the update and mark it as fixing this bug?

Done. Let me know if you have more questions.

Comment 8 Stephen Gallagher 2016-03-21 13:24:27 UTC
This fix isn't complete. The package is present in the Everything repository now, but it's neither included on the Workstation live media nor configured to be used by default (either in Live operation or on post-install).

Comment 9 Kamil Páral 2016-03-21 16:47:10 UTC
Discussed at today's blocker review meeting [1]. Voted as AcceptedBlocker (Alpha) - clear violation of "The default desktop background must be different from that of the last two stable releases."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-21

Comment 10 Adam Williamson 2016-03-21 19:06:32 UTC
As this is accepted blocker now, no need to also have it as FE.

Comment 11 Paul W. Frields 2016-03-21 20:19:02 UTC
Note that the reason this package isn't pulled into a compose is e.g. bug 1319770 (missing update to desktop-backgrounds).  As I understand it KDE has a different package for pulling in the backgrounda.

Comment 12 Fedora Update System 2016-03-22 04:46:35 UTC
kde-settings-24-3.fc24 plasma-workspace-5.5.5-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c984441023

Comment 13 Luya Tshimbalanga 2016-03-22 07:16:03 UTC
I was unaware about desktop-backgrounds. In a future, it will be nice to document the entire process for future maintainers or possibly automate it. I posted the availability of f2x-backgrounds in desktop mailing list but nobody pointed to desktop-backgrounds until recently. =(
Hope such mishap will be avoided next time.

Comment 14 Fedora Update System 2016-03-22 16:55:22 UTC
kde-settings-24-3.fc24, plasma-workspace-5.5.5-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c984441023

Comment 15 Adam Williamson 2016-03-23 05:23:03 UTC
KDE verified from blocker perspective here: it does not display the real F24 background, but it does display a different background from F23, which is what the release criteria for Alpha require. Will check Workstation shortly.

Comment 16 Adam Williamson 2016-03-23 06:28:31 UTC
Workstation side: fix looks good in Alpha-1.7, Workstation live gets the new background.

Comment 17 Fedora Update System 2016-03-23 16:21:26 UTC
f24-backgrounds-24.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Adam Williamson 2016-03-23 17:23:11 UTC
I've filed a new bug to track getting the proper backgrounds into KDE: https://bugzilla.redhat.com/show_bug.cgi?id=1320666

Comment 19 Fedora Update System 2016-03-23 19:59:08 UTC
kde-settings-24-3.fc24, plasma-workspace-5.5.5-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.